.brand-clip {
  clip-path: polygon(0 0, 100% 0, 88% 50%, 100% 100%, 0 100%, 0% 50%);
}

.navbar-menu-link {
  @apply text-lg text-white font-condensed uppercase leading-loose cursor-pointer hover:no-underline;
}

.main-menu-items {
  display: none;
}

#menuToggle:checked ~ .main-menu-items {
  @apply space-x-0;

  display: grid;
}


.main-menu {
  grid-template-areas:
    "logo menutoggle"
    "main main"
    "external external";
}

.main-menu__logo {
  grid-area: logo;
}

.main-menu__main {
  grid-area: main;

  .menu-link {
    @apply bg-white text-black font-condensed uppercase leading-loose cursor-pointer xl:bg-black xl:text-white hover:no-underline xl:text-lg xl:bg-transparent;
  }
}

.navbar-background {
  min-height: 63px;
}
.main-menu-grid {
  max-width: none;
  grid-template-areas:
  "content"
}

.menu-flag {
  position: absolute;
  left: 0;
  width: 209px;
}

.main-menu__external {
  @apply bg-white text-black xl:bg-black xl:text-white;
  grid-area: external;
}

@screen xl {
  .main-menu-items {
    display: flex !important;
  }
  .main-menu {
    grid-template-areas: "main social external";
    flex-wrap: nowrap;

    .main-menu__external {
      @apply bg-transparent text-black p-0;
    }
  }

  .menu-flag {
    width: 260px;
  }
}
.container {
  display: inline-block;
  cursor: pointer;
}

.bar1, .bar2, .bar3 {
  background-color: white;
  display: block;
  height: 2px;
  margin: 6px 0;
  transition: 0.4s;
  width: 35px;
}

#menuToggle:checked + label .bar1 {
  transform: rotate(-45deg) translate(-3px, 4px);
  background-color: black;
}

#menuToggle:checked + label .bar2 {opacity: 0;}

#menuToggle:checked + label .bar3 {
  transform: rotate(45deg) translate(-8px, -8px);
  background-color: black;
}
